%bcond_with bootstrap

Name:           plexus-io
Version:        3.4.2
Release:        %mkrel 2
Group:          Development/Java
Summary:        Plexus IO Components
License:        ASL 2.0
URL:            https://github.com/codehaus-plexus/plexus-io
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

Source0:        https://github.com/codehaus-plexus/plexus-io/archive/plexus-io-%{version}.tar.gz
Source1:        https://www.apache.org/licenses/LICENSE-2.0.txt

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local
BuildRequires:  mvn(com.google.code.findbugs:jsr305)
BuildRequires:  mvn(com.google.inject:guice)
BuildRequires:  mvn(commons-io:commons-io)
BuildRequires:  mvn(javax.inject:javax.inject)
BuildRequires:  mvn(org.codehaus.plexus:plexus-testing)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils)
BuildRequires:  mvn(org.codehaus.plexus:plexus-xml)
BuildRequires:  mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.eclipse.sisu:org.eclipse.sisu.inject)
BuildRequires:  mvn(org.eclipse.sisu:sisu-maven-plugin)
BuildRequires:  mvn(org.junit.jupiter:junit-jupiter-api)
BuildRequires:  mvn(org.slf4j:slf4j-simple)
%endif

%description
Plexus IO is a set of plexus components, which are designed for use
in I/O operations.

%package        javadoc
Summary:        Javadoc for %{name}

%description    javadoc
API documentation for %{name}.

%prep
%setup -q -n plexus-io-plexus-io-%{version}
cp %{SOURCE1} .

# Test fails in mock
sed -i /class/i@org.junit.jupiter.api.Disabled src/test/java/org/codehaus/plexus/components/io/attributes/SymlinkUtilsTest.java

%mvn_file : plexus/io

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license NOTICE.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license NOTICE.txt LICENSE-2.0.txt


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 3.4.2-2.mga10
+ Revision: 2223821
- Mageia 10 Mass Rebuild

* Fri May 24 2024 ns80 <ns80> 3.4.2-1.mga10
+ Revision: 2067385
- new version 3.4.2 for java 21

* Mon Jul 25 2022 neoclust <neoclust> 3.2.0-11.mga9
+ Revision: 1871436
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 3.2.0-10.mga9
+ Revision: 1870888
- Add bootstrap build mode
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Jan 22 2021 neoclust <neoclust> 3.2.0-3.mga8
+ Revision: 1672913
- Disable tests

* Sat Jan 09 2021 daviddavid <daviddavid> 3.2.0-2.mga8
+ Revision: 1670135
- Rebuilt for JDK-11

* Wed Aug 19 2020 neoclust <neoclust> 3.2.0-1.mga8
+ Revision: 1616011
- New version 3.2.0

* Sat Feb 15 2020 umeabot <umeabot> 3.1.1-2.mga8
+ Revision: 1528642
- Mageia 8 Mass Rebuild

* Sat Aug 24 2019 daviddavid <daviddavid> 3.1.1-1.mga8
+ Revision: 1431714
- Update to version 3.1.1

* Thu Dec 13 2018 neoclust <neoclust> 3.0.0-2.mga7
+ Revision: 1340991
- Rebuild for new maven-archiver

* Thu Oct 11 2018 guillomovitch <guillomovitch> 3.0.0-1.mga7
+ Revision: 1319692
- new version 3.0.0

* Wed Sep 19 2018 umeabot <umeabot> 2.7.1-2.mga7
+ Revision: 1274445
- Mageia 7 Mass Rebuild

* Mon May 08 2017 neoclust <neoclust> 2.7.1-1.mga6
+ Revision: 1099585
- new version 2.7.1
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 2.6-3.mga6
+ Revision: 977771
- First rebuild of the java stack
- sync package plexus-io with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Dec 31 2014 pterjan <pterjan> 1:2.0.10-1.mga5
+ Revision: 807762
- Sync with Fedora 21 (update to 2.0.10)

* Wed Oct 15 2014 umeabot <umeabot> 1:2.0.5-4.mga5
+ Revision: 741338
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1:2.0.5-2.mga4
+ Revision: 529230
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 dmorgan <dmorgan> 1:2.0.5-1.mga4
+ Revision: 451047
- New version

* Sun Jan 13 2013 umeabot <umeabot> 1:2.0.4-3.mga3
+ Revision: 377901
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 dmorgan <dmorgan> 1:2.0.4-2.mga3
+ Revision: 325798
- Add BR on maven-enforcer-plugin.
- Update to latest upstream.

* Sat Mar 03 2012 gil <gil> 1:2.0.2-1.mga2
+ Revision: 217153
- update to 2.0.2

* Thu Jan 05 2012 dmorgan <dmorgan> 1:1.0.1-2.mga2
+ Revision: 191862
- Revert to version 1.x
- Disable tests

* Fri Dec 23 2011 dmorgan <dmorgan> 2.0.1-1.mga2
+ Revision: 186240
- New version 2.0.1

* Fri Dec 09 2011 dmorgan <dmorgan> 1.0.1-2.mga2
+ Revision: 179541
- Removal of plexus-maven-plugin dependency (not needed)

* Wed Jul 20 2011 dmorgan <dmorgan> 1.0.1-1.mga2
+ Revision: 126874
- Update to upstream 1.0.1.
    Adapt to current guidelines.

* Thu Apr 28 2011 dmorgan <dmorgan> 1.0-0.3.a5.2.mga1
+ Revision: 93026
- Rebuild after bootstrapping
- imported package plexus-io


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.3.a5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.2.a5
- Fix review comments.

* Wed Dec 23 2009 Alexander Kurtakov <akurtako@redhat.com> 1.0-0.1.a5.1
- Initial package
